import React, { useEffect } from 'react';

export function PlaceholderErrorDisplay({ error: errorProp }: { error: any }) {
  // eslint-disable-next-line no-console
  useEffect(() => console.error('error', errorProp), [errorProp]);

  const error = errorProp?.message || errorProp;

  // eslint-disable-next-line react/jsx-no-useless-fragment
  return <>{`${error}`}</>;
}
